Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 15221

Summary: whois is not very useful
Product: [Retired] Red Hat Linux Reporter: Per Steinar Iversen <persteinar.iversen>
Component: whoisAssignee: Nalin Dahyabhai <nalin>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: hugo, shishz, twaugh, vader
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-27 21:41:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 133398    

Description Per Steinar Iversen 2000-08-03 11:45:17 UTC
The whois which has been used for a long time by RedHat is not
very useful any more, it does not understand the referrals now common.
It is also not very useful for domains outside the generic ones.

A very good replacement can be found:

http://www.linux.it/~md/software/http://www.linux.it/~md/software/

Try to find the whois information for hio.no for example with the standard
whois client and then with this one...

Comment 1 Nalin Dahyabhai 2000-08-04 06:12:56 UTC
The whois client does follow referrals, but none are given by the default whois
servers.

Comment 2 Tim Waugh 2000-09-26 11:46:46 UTC
How do other whois clients 'just work' then?  For example, 'whois macworld.se'
on FreeBSD 'just works' (it uses whois.nic-se.se).


Comment 3 Need Real Name 2002-12-07 06:14:26 UTC
See Bug ID 59872 which I filed in February, 2002.  
  
This is still a problem with Red Hat 8.0.  'whois' in its current state is  
pitiful.  
  
Thanks.

Comment 4 Alan Cox 2002-12-15 00:38:35 UTC
The BSD one knows how to parse all the crap. We should update to it


Comment 5 Hugo van der Kooij 2002-12-22 20:56:03 UTC
You can find better whois clients packaged and all on:
http://rpmfind.net/linux/rpm2html/search.php?query=whois&submit=Search+...

Comment 6 Rik van Riel 2004-09-27 21:41:09 UTC
We've been shipping jwhois for quite a while now.  Time to close this
bug. ;)